# This docker file has several different variants; use the one that best suits your usecase.

# Variant 1: ~125 MB, but no GPU support
#FROM python:slim

# Variant 1b: added torch for GPU support, ~5.2 GB; make sure to adapt main.py tu use torch!
#RUN pip3 install torch --extra-index-url https://download.pytorch.org/whl/cu113
#RUN pip3 install numpy

# Variant 2: Using Tensorflow base image for GPU support, ~5.8 GB, but builds faster than installing torch
FROM tensorflow/tensorflow:latest-gpu

# COMMON PART FOR ALL THE ABOVE
RUN pip3 install requests
WORKDIR /app
COPY main.py README.md ./
CMD ["python3", "main.py"]
